import 'package:flutter/material.dart';

//Custom madding
EdgeInsets p(double value) => _padding(all: value);
EdgeInsets px(double value) => _padding(horizontal: value);
EdgeInsets py(double value) => _padding(vertical: value);
EdgeInsets pr(double value) => _padding(right: value);
EdgeInsets pl(double value) => _padding(left: value);
EdgeInsets pt(double value) => _padding(top: value);
EdgeInsets pb(double value) => _padding(bottom: value);

//EdgeInsets All
EdgeInsets get p0 => _padding(all: 0);
EdgeInsets get p4 => _padding(all: 4);
EdgeInsets get p8 => _padding(all: 8);
EdgeInsets get p12 => _padding(all: 12);
EdgeInsets get p16 => _padding(all: 16);
EdgeInsets get p20 => _padding(all: 20);
EdgeInsets get p24 => _padding(all: 24);
EdgeInsets get p32 => _padding(all: 32);
EdgeInsets get p48 => _padding(all: 48);
EdgeInsets get p64 => _padding(all: 64);
EdgeInsets get p112 => _padding(all: 72);
EdgeInsets get p144 => _padding(all: 90);
EdgeInsets get p176 => _padding(all: 128);
//EdgeInsets Right
EdgeInsets get pr0 => _padding(right: 0);
EdgeInsets get pr4 => _padding(right: 4);
EdgeInsets get pr8 => _padding(right: 8);
EdgeInsets get pr12 => _padding(right: 12);
EdgeInsets get pr16 => _padding(right: 16);
EdgeInsets get pr20 => _padding(right: 20);
EdgeInsets get pr24 => _padding(right: 24);
EdgeInsets get pr32 => _padding(right: 32);
EdgeInsets get pr48 => _padding(right: 48);
EdgeInsets get pr64 => _padding(right: 64);
EdgeInsets get pr112 => _padding(right: 72);
EdgeInsets get pr144 => _padding(right: 90);
EdgeInsets get pr176 => _padding(right: 128);
//EdgeInsets Left
EdgeInsets get pl0 => _padding(left: 0);
EdgeInsets get pl4 => _padding(left: 4);
EdgeInsets get pl8 => _padding(left: 8);
EdgeInsets get pl12 => _padding(left: 12);
EdgeInsets get pl16 => _padding(left: 16);
EdgeInsets get pl20 => _padding(left: 20);
EdgeInsets get pl24 => _padding(left: 24);
EdgeInsets get pl32 => _padding(left: 32);
EdgeInsets get pl48 => _padding(left: 48);
EdgeInsets get pl64 => _padding(left: 64);
EdgeInsets get pl112 => _padding(left: 72);
EdgeInsets get pl144 => _padding(left: 90);
EdgeInsets get pl176 => _padding(left: 128);
//EdgeInsets top
EdgeInsets get pt0 => _padding(top: 0);
EdgeInsets get pt4 => _padding(top: 4);
EdgeInsets get pt8 => _padding(top: 8);
EdgeInsets get pt12 => _padding(top: 12);
EdgeInsets get pt16 => _padding(top: 16);
EdgeInsets get pt20 => _padding(top: 20);
EdgeInsets get pt24 => _padding(top: 24);
EdgeInsets get pt32 => _padding(top: 32);
EdgeInsets get pt48 => _padding(top: 48);
EdgeInsets get pt64 => _padding(top: 64);
EdgeInsets get pt112 => _padding(top: 72);
EdgeInsets get pt144 => _padding(top: 90);
EdgeInsets get pt176 => _padding(top: 128);

//EdgeInsets bottom
EdgeInsets get pb0 => _padding(bottom: 0);
EdgeInsets get pb4 => _padding(bottom: 4);
EdgeInsets get pb8 => _padding(bottom: 8);
EdgeInsets get pb12 => _padding(bottom: 12);
EdgeInsets get pb16 => _padding(bottom: 16);
EdgeInsets get pb20 => _padding(bottom: 20);
EdgeInsets get pb24 => _padding(bottom: 24);
EdgeInsets get pb32 => _padding(bottom: 32);
EdgeInsets get pb48 => _padding(bottom: 48);
EdgeInsets get pb64 => _padding(bottom: 64);
EdgeInsets get pb112 => _padding(bottom: 72);
EdgeInsets get pb144 => _padding(bottom: 90);
EdgeInsets get pb176 => _padding(bottom: 128);

//EdgeInsets Horizontal
EdgeInsets get px4 => _padding(horizontal: 4);
EdgeInsets get px8 => _padding(horizontal: 8);
EdgeInsets get px12 => _padding(horizontal: 12);
EdgeInsets get px16 => _padding(horizontal: 16);
EdgeInsets get px20 => _padding(horizontal: 20);
EdgeInsets get px24 => _padding(horizontal: 24);
EdgeInsets get px32 => _padding(horizontal: 32);
EdgeInsets get px48 => _padding(horizontal: 8);
EdgeInsets get px64 => _padding(horizontal: 64);
EdgeInsets get px112 => _padding(horizontal: 72);
EdgeInsets get px144 => _padding(horizontal: 90);
EdgeInsets get px176 => _padding(horizontal: 128);
//EdgeInsets Vertical
EdgeInsets get py4 => _padding(vertical: 4);
EdgeInsets get py8 => _padding(vertical: 8);
EdgeInsets get py12 => _padding(vertical: 12);
EdgeInsets get py16 => _padding(vertical: 16);
EdgeInsets get py20 => _padding(vertical: 20);
EdgeInsets get py24 => _padding(vertical: 24);
EdgeInsets get py32 => _padding(vertical: 32);
EdgeInsets get py48 => _padding(vertical: 48);
EdgeInsets get py64 => _padding(vertical: 64);
EdgeInsets get py112 => _padding(vertical: 72);
EdgeInsets get py144 => _padding(vertical: 90);
EdgeInsets get py176 => _padding(vertical: 128);

EdgeInsets _padding({
  double all,
  double horizontal,
  double vertical,
  double top,
  double bottom,
  double left,
  double right,
}) =>
    EdgeInsets.only(
      top: top ?? vertical ?? all ?? 0.0,
      bottom: bottom ?? vertical ?? all ?? 0.0,
      left: left ?? horizontal ?? all ?? 0.0,
      right: right ?? horizontal ?? all ?? 0.0,
    );
