import 'package:flutter/material.dart';

//Custom madding
EdgeInsets m(double value) => _margin(all: value);
EdgeInsets mx(double value) => _margin(horizontal: value);
EdgeInsets my(double value) => _margin(vertical: value);
EdgeInsets mr(double value) => _margin(right: value);
EdgeInsets ml(double value) => _margin(left: value);
EdgeInsets mt(double value) => _margin(top: value);
EdgeInsets mb(double value) => _margin(bottom: value);

//EdgeInsets All
EdgeInsets get m0 => _margin(all: 0);
EdgeInsets get m4 => _margin(all: 4);
EdgeInsets get m8 => _margin(all: 8);
EdgeInsets get m12 => _margin(all: 12);
EdgeInsets get m16 => _margin(all: 16);
EdgeInsets get m20 => _margin(all: 20);
EdgeInsets get m24 => _margin(all: 24);
EdgeInsets get m32 => _margin(all: 32);
EdgeInsets get m48 => _margin(all: 48);
EdgeInsets get m64 => _margin(all: 64);
EdgeInsets get m112 => _margin(all: 72);
EdgeInsets get m144 => _margin(all: 90);
EdgeInsets get m176 => _margin(all: 128);
//EdgeInsets Right
EdgeInsets get mr0 => _margin(right: 0);
EdgeInsets get mr4 => _margin(right: 4);
EdgeInsets get mr8 => _margin(right: 8);
EdgeInsets get mr12 => _margin(right: 12);
EdgeInsets get mr16 => _margin(right: 16);
EdgeInsets get mr20 => _margin(right: 20);
EdgeInsets get mr24 => _margin(right: 24);
EdgeInsets get mr32 => _margin(right: 32);
EdgeInsets get mr48 => _margin(right: 48);
EdgeInsets get mr64 => _margin(right: 64);
EdgeInsets get mr112 => _margin(right: 72);
EdgeInsets get mr144 => _margin(right: 90);
EdgeInsets get mr176 => _margin(right: 128);
//EdgeInsets Left
EdgeInsets get ml0 => _margin(left: 0);
EdgeInsets get ml4 => _margin(left: 4);
EdgeInsets get ml8 => _margin(left: 8);
EdgeInsets get ml12 => _margin(left: 12);
EdgeInsets get ml16 => _margin(left: 16);
EdgeInsets get ml20 => _margin(left: 20);
EdgeInsets get ml24 => _margin(left: 24);
EdgeInsets get ml32 => _margin(left: 32);
EdgeInsets get ml48 => _margin(left: 48);
EdgeInsets get ml64 => _margin(left: 64);
EdgeInsets get ml112 => _margin(left: 72);
EdgeInsets get ml144 => _margin(left: 90);
EdgeInsets get ml176 => _margin(left: 128);
//EdgeInsets top
EdgeInsets get mt0 => _margin(top: 0);
EdgeInsets get mt4 => _margin(top: 4);
EdgeInsets get mt8 => _margin(top: 8);
EdgeInsets get mt12 => _margin(top: 12);
EdgeInsets get mt16 => _margin(top: 16);
EdgeInsets get mt20 => _margin(top: 20);
EdgeInsets get mt24 => _margin(top: 24);
EdgeInsets get mt32 => _margin(top: 32);
EdgeInsets get mt48 => _margin(top: 48);
EdgeInsets get mt64 => _margin(top: 64);
EdgeInsets get mt112 => _margin(top: 72);
EdgeInsets get mt144 => _margin(top: 90);
EdgeInsets get mt176 => _margin(top: 128);

//EdgeInsets bottom
EdgeInsets get mb0 => _margin(bottom: 0);
EdgeInsets get mb4 => _margin(bottom: 4);
EdgeInsets get mb8 => _margin(bottom: 8);
EdgeInsets get mb12 => _margin(bottom: 12);
EdgeInsets get mb16 => _margin(bottom: 16);
EdgeInsets get mb20 => _margin(bottom: 20);
EdgeInsets get mb24 => _margin(bottom: 24);
EdgeInsets get mb32 => _margin(bottom: 32);
EdgeInsets get mb48 => _margin(bottom: 48);
EdgeInsets get mb64 => _margin(bottom: 64);
EdgeInsets get mb112 => _margin(bottom: 72);
EdgeInsets get mb144 => _margin(bottom: 90);
EdgeInsets get mb176 => _margin(bottom: 128);

//EdgeInsets Horizontal
EdgeInsets get mx4 => _margin(horizontal: 4);
EdgeInsets get mx8 => _margin(horizontal: 8);
EdgeInsets get mx12 => _margin(horizontal: 12);
EdgeInsets get mx16 => _margin(horizontal: 16);
EdgeInsets get mx20 => _margin(horizontal: 20);
EdgeInsets get mx24 => _margin(horizontal: 24);
EdgeInsets get mx32 => _margin(horizontal: 32);
EdgeInsets get mx48 => _margin(horizontal: 8);
EdgeInsets get mx64 => _margin(horizontal: 64);
EdgeInsets get mx112 => _margin(horizontal: 72);
EdgeInsets get mx144 => _margin(horizontal: 90);
EdgeInsets get mx176 => _margin(horizontal: 128);
//EdgeInsets Vertical
EdgeInsets get my4 => _margin(vertical: 4);
EdgeInsets get my8 => _margin(vertical: 8);
EdgeInsets get my12 => _margin(vertical: 12);
EdgeInsets get my16 => _margin(vertical: 16);
EdgeInsets get my20 => _margin(vertical: 20);
EdgeInsets get my24 => _margin(vertical: 24);
EdgeInsets get my32 => _margin(vertical: 32);
EdgeInsets get my48 => _margin(vertical: 48);
EdgeInsets get my64 => _margin(vertical: 64);
EdgeInsets get my112 => _margin(vertical: 72);
EdgeInsets get my144 => _margin(vertical: 90);
EdgeInsets get my176 => _margin(vertical: 128);

EdgeInsets _margin({
  double all,
  double horizontal,
  double vertical,
  double top,
  double bottom,
  double left,
  double right,
}) =>
    EdgeInsets.only(
      top: top ?? vertical ?? all ?? 0.0,
      bottom: bottom ?? vertical ?? all ?? 0.0,
      left: left ?? horizontal ?? all ?? 0.0,
      right: right ?? horizontal ?? all ?? 0.0,
    );
